//
//  DrawingView.m
//  Drawing
//
//  Created by Kyoung Shin Park on 10/13/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "DrawingView.h"


@implementation DrawingView

- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code
    }
    return self;
}

- (void)drawCircleAtPoint:(CGPoint)p withRadius:(CGFloat)radius inContext:(CGContextRef)context
{
	UIGraphicsPushContext(context);
	CGContextBeginPath(context);
	CGContextAddArc(context, p.x, p.y, radius, 0, 2*M_PI, YES);
	CGContextStrokePath(context);
	UIGraphicsPopContext();
}

// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect
{
    // Drawing code
    CGContextRef context = UIGraphicsGetCurrentContext();
    
    CGRect bounds = [self bounds];
    [[UIColor grayColor] set];
    UIRectFill(bounds);
    
    CGRect square = CGRectMake(150, 10, 50, 100);
    [[UIColor redColor] set];
    UIRectFill(square);
    [[UIColor blueColor] set];
    UIRectFrame(square);
    
    CGContextBeginPath(context);
    CGContextMoveToPoint(context, 75, 10);
    CGContextAddLineToPoint(context, 10, 150);
    CGContextAddLineToPoint(context, 160, 150);
    CGContextClosePath(context);
    [[UIColor redColor] setFill];
    [[UIColor blueColor] setStroke];
    CGContextDrawPath(context, kCGPathFillStroke);
    
    CGPoint midPoint;
	midPoint.x = self.bounds.origin.x + self.bounds.size.width/2;
	midPoint.y = self.bounds.origin.y + self.bounds.size.height/2;	
	CGFloat size = self.bounds.size.width / 2;
	if (self.bounds.size.height < self.bounds.size.width) size = self.bounds.size.height / 2;
	size *= 0.90;
    [[UIColor greenColor] setStroke];
    [self drawCircleAtPoint:midPoint withRadius:size inContext:context];
}


- (void)dealloc
{
    [super dealloc];
}

@end
